<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->


<h5 class="fw-bold mb-3" [innerText]="messages.EDIT_PASSWORD_TITLE"></h5>

  <form class="max-width-60">
    <app-user-password-doubled-input
      [user]="currentUser"
      [serverInfo]="serverInfo"
      (passwordChanged)="emitPassword($event)">
    </app-user-password-doubled-input>
  </form>

<div class="w-100">
  <button
    [text]="messages.SAVE_NEW_PASSWORD"
    [disabled]="!this.newPassword"
    [processing]="isProcessing"
    (click)="savePassword()"
    ls-button-save
    class="mt-4">
  </button>
</div>

